org.apache.ignite.internal.processors.cache.persistence.file

## Interface FileIOFactory

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  RandomAccessFileIOFactory

    public interface FileIOFactory
    extends Serializable

### Method Summary

Methods
`FileIO` `create(File file)` Creates I/O interface for file with default I/O mode
`FileIO` `create(File file, String mode)` Creates I/O interface for file with specified mode

### Method Detail

#### create

    FileIO create(File file)
                  throws IOException

Creates I/O interface for file with default I/O mode

Parameters:
  `file` - File
Returns:
  File I/O interface
Throws:
  `IOException` - If I/O interface creation was failed

#### create

    FileIO create(File file,
                String mode)
                  throws IOException

Creates I/O interface for file with specified mode

Parameters:
  `file` - File
  `mode` - I/O mode in
Returns:
  File I/O interface
Throws:
  `IOException` - If I/O interface creation was failed

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.1.0
Release Date | : July 20 2017